CodeBlock - Não compila [RESOLVIDO]

1. CodeBlock - Não compila [RESOLVIDO]

Higor Vinicius da Silva Meireles
higorvs

(usa Linux Mint)

Enviado em 22/02/2017 - 17:02h

Bom dia, tarde e noite, irmãos tux!
Galera, seguinte. Digito o código " C " no codeblocks e ele não executa o programa.
Tipo: Ele não abre o terminal para executar o programa, alguém pode me ajudar a resolver isso?

Estou usando distribuição: Mint - MATE x64 - 18 SARAH.
Me ajudem a decifrar esse mistério, por favor? :D


  


2. Re: CodeBlock - Não compila

Marcos Souza
IUseLinux

(usa Slackware)

Enviado em 22/02/2017 - 17:07h

higorvs escreveu:

Bom dia, tarde e noite, irmãos tux!
Galera, seguinte. Digito o código " C " no codeblocks e ele não executa o programa.
Tipo: Ele não abre o terminal para executar o programa, alguém pode me ajudar a resolver isso?

Estou usando distribuição: Mint - MATE x64 - 18 SARAH.
Me ajudem a decifrar esse mistério, por favor? :D


Pode ser que seu programa esteja errado, poste o código se puder. Instale o build-essential.
Tente compilar pelo terminal e mostre a saida, no seu caso é em C, então faça assim gcc $nomedoarquivo -o $NomePraGerarExecutavel



I3 2.3Ghz , 4Gb de Ram DDR4, 1TB.
Slackware 14.2 com KDE.

"Talk is cheap, show me the code"

#Linux user: 619644





3. Re: CodeBlock - Não compila [RESOLVIDO]

Paulo
paulo1205

(usa Ubuntu)

Enviado em 22/02/2017 - 17:17h

Eu nunca usei Code::Blocks, mas parece que ele tem uma configuração de qual programa deve ser usado para abrir o terminal. O default, se eu não me engano, é o Xterm (xterm), que é o emulador de terminal padrão da distribuição do X11. Contudo, sistemas modernos dão preferência a emuladores mais recentes, como Gnome-Terminal (no GNOME) ou Konsole (no KDE), e frequentemente nem mesmo instalam o bom e velho Xterm.

Se for realmente esse o caso, ou você instala o xterm (e.g. “apt-get install -y xterm”, que é o que eu recomendo) ou experimenta trocar na configuração do C::B o emulador de terminal a usar.


4. Re: CodeBlock - Não compila [RESOLVIDO]

Higor Vinicius da Silva Meireles
higorvs

(usa Linux Mint)

Enviado em 23/02/2017 - 13:55h

Galera. Instalando o codeblocks via Terminal ou até mesmo pela central do aplicativos, tive problemas eu compilar e rodar os códigos que eu criava.
Conseguir solucionar o problema, instalando via " PPA ", até conseguir atualizar para a versão 16.01. Pra quem estiver com o mesmo problema que eu, os códigos de instalações são estes:

sudo add-apt-repository ppa:damien-moore/codeblocks-stable
sudo apt-get update
sudo apt-get install codeblocks codeblocks-contrib

O link que obtive a ajuda é este:
https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks-stable

Espero ajudar quem estiver com o mesmo problema que eu, flw, abraços!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts